Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class DispositionReport

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.response.Response
            |
            +--weblogic.uddi.client.structures.response.ListResponse
                  |
                  +--weblogic.uddi.client.structures.response.DispositionReport

public class DispositionReport
extends ListResponse

The dispositionReport structure is a collection of result structures that hold imformation about the completion status of a uddi api function call. Often deleteXXXXX functions return back a disposition report with a success indicator. Disposition reports are also part of fault structures that are returned if any error occurrs. In this case they store the error details.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`DispositionReport()` Class Constructor

Method Summary
`java.util.Vector` | `getResultVector()` Gets the Vector containing the Result objects that were present in this Disposition Report.
`void` | `setResultVector(java.util.Vector value)` Sets the set of results.

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispositionReport

    public DispositionReport()

  Class Constructor

Method Detail

### getResultVector

    public java.util.Vector getResultVector()

  Gets the Vector containing the Result objects that were present in this Disposition Report. Cast the elements of the Vector to weblogic.uddi.client.structures.datatypes.Result.

  Returns:
    a Vector of Result objects

### setResultVector

    public void setResultVector(java.util.Vector value)

  Sets the set of results.

  Parameters:
    `value` - the new set of results.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference